# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/ktietz/demo/src/aggregate/librsvg-feedstock/recipe, last modified Sat Aug  7 09:29:24 2021
# ------------------------------------------------

package:
  name: librsvg
  version: 2.50.7
source:
  fn: librsvg-2.50.7.tar.xz
  patches:
    - add_rust_lto.patch
  sha256: fffb61b08cd5282aaae147a02b305166a7426fad22a8b9427708f0f2fc426ebc
  url: https://download.gnome.org/sources/librsvg/2.50/librsvg-2.50.7.tar.xz
build:
  number: '0'
  run_exports:
    - librsvg >=2.50.7,<3.0a0
  string: h90a7944_0
requirements:
  build:
    - ca-certificates 2021.4.13 hca03da5_1
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - certifi 2021.5.30 py39hca03da5_0
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - clangxx_osx-arm64 12.0.0 h39b79ac_3
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - expat 2.4.1 hc377ac9_2
    - gettext 0.21.0 h826f4ad_0
    - glib 2.69.0 haf49608_0
    - gnuconfig 2021.05.24 hd3eb1b0_0
    - gobject-introspection 1.68.0 py39h5201060_1
    - icu 68.1 hc4ed4cf_0
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h7dde238_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.3 hc4ed4cf_2
    - libiconv 1.16 h1230e6a_0
    - libllvm12 12.0.0 h12f7ac0_4
    - libxml2 2.9.10 h3d7e406_3
    - llvm-openmp 12.0.0 haf9daa7_1
    - llvm-tools 12.0.0 h12f7ac0_4
    - make 4.3 h620ffc9_1
    - ncurses 6.2 hc4ed4cf_0
    - openssl 1.1.1j h1230e6a_0
    - pcre 8.44 hc4ed4cf_0
    - pip 21.2.2 py39hca03da5_0
    - pkg-config 0.29.2 h1230e6a_0
    - python 3.9.6 hc70090a_4
    - readline 8.1 h1230e6a_0
    - rust 1.53.0 h1230e6a_0
    - rust_osx-arm64 1.46.0 hc4ed4cf_0
    - setuptools 52.0.0 py39hca03da5_0
    - sqlite 3.35.4 h9835d80_0
    - tapi 1100.0.11 ha21211d_0
    - tk 8.6.10 h6b60437_0
    - tzdata 2021a h5d7bf9c_0
    - wheel 0.37.0 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
  host:
    - ca-certificates 2021.4.13 hca03da5_1
    - cairo 1.16.0 h0ab239c_1
    - certifi 2021.5.30 py39hca03da5_0
    - expat 2.4.1 hc377ac9_2
    - fontconfig 2.13.1 h1f4a5ec_0
    - freetype 2.10.4 h1192e45_0
    - fribidi 1.0.10 h1a28f6b_0
    - gdk-pixbuf 2.42.6 h74ef11a_4
    - gettext 0.21.0 h826f4ad_0
    - glib 2.69.0 haf49608_0
    - gobject-introspection 1.68.0 py39h5201060_1
    - graphite2 1.3.14 h0e5e14a_0
    - harfbuzz 2.8.1 hffeda63_0
    - icu 68.1 hc4ed4cf_0
    - jpeg 9b h1a28f6b_2
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.3 hc4ed4cf_2
    - libiconv 1.16 h1230e6a_0
    - libpng 1.6.37 hb8d0fd4_0
    - libtiff 4.2.0 hcab04a8_0
    - libwebp-base 1.2.0 h1a28f6b_0
    - libxml2 2.9.10 h3d7e406_3
    - llvm-openmp 12.0.0 haf9daa7_1
    - lz4-c 1.9.3 hc4ed4cf_0
    - ncurses 6.2 hc4ed4cf_0
    - openssl 1.1.1j h1230e6a_0
    - pango 1.48.7 h79d33a7_0
    - pcre 8.44 hc4ed4cf_0
    - pip 21.2.2 py39hca03da5_0
    - pixman 0.40.0 h1a28f6b_0
    - python 3.9.6 hc70090a_4
    - readline 8.1 h1230e6a_0
    - setuptools 52.0.0 py39hca03da5_0
    - sqlite 3.35.4 h9835d80_0
    - tk 8.6.10 h6b60437_0
    - tzdata 2021a h5d7bf9c_0
    - wheel 0.37.0 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
    - zstd 1.4.9 hd783eca_0
  run:
    - cairo >=1.16.0,<2.0a0
    - fontconfig
    - freetype
    - gdk-pixbuf >=2.42.6,<3.0a0
    - gettext >=0.21.0,<1.0a0
    - glib >=2.69.0,<3.0a0
    - harfbuzz
    - libpng
    - libxml2 >=2.9.10,<2.10.0a0
    - pango >=1.48.7,<2.0a0
    - zlib
test:
  commands:
    - rsvg-convert --version
    - test -f $PREFIX/lib/librsvg-2${SHLIB_EXT}
    - test ! -f $PREFIX/lib/librsvg-2.a
    - test -f `pkg-config --variable=libdir --dont-define-prefix librsvg-2.0`/librsvg-2${SHLIB_EXT}
    - test -f $PREFIX/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
    - test ! -f $PREFIX/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.a
    - test -f $PREFIX/include/librsvg-2.0/librsvg/librsvg-features.h
    - test -f $PREFIX/include/librsvg-2.0/librsvg/rsvg-cairo.h
    - test -f $PREFIX/include/librsvg-2.0/librsvg/rsvg.h
    - test -f $PREFIX/lib/girepository-1.0/Rsvg-2.0.typelib
  requires:
    - pkg-config
about:
  home: https://wiki.gnome.org/Projects/LibRsvg
  license: LGPL-2.1-or-later
  license_file: COPYING.LIB
  summary: librsvg is a library to render SVG files using cairo.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - pkgw
    - tschoonj
